# Generated by Django 3.2.7 on 2021-09-21 18:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('greenLab', '0005_actuador'),
    ]

    operations = [
        migrations.CreateModel(
            name='Condicion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('condicion', models.CharField(choices=[('<', '<'), ('>', '>'), ('==', '=='), ('!=', '!='), ('<=', '<='), ('>=', '>=')], default='==', max_length=2)),
                ('comparar', models.DecimalField(decimal_places=1, default='0', max_digits=8)),
                ('sensor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='greenLab.sensor')),
                ('sensor2', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sensor2', to='greenLab.sensor')),
            ],
            options={
                'verbose_name': 'Condicion',
                'verbose_name_plural': 'Condiciones',
            },
        ),
    ]
